package com.template.services;

import com.template.model.pojo.SmartDepartment;
import com.template.model.pojo.SmartDepartment;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartDepartmentService extends IService<SmartDepartment> {
    int insertSmartDepartment(SmartDepartment rns);

    int updateSmartDepartment(SmartDepartment rns);

    PageUtils<SmartDepartment> queryPageSmartDepartments(int currentPage, int pageCount, String name);

    int deleteSmartDepartmentById(int id);

    SmartDepartment getSmartById(int id);

    SmartDepartment getSmartByName(String name);

    List<SmartDepartment> getSmartsByName(String name);

    int existDataByName(String name);
}
